# RUM # Site Info ## List Web Analytics sites `client.rum.siteInfo.list(SiteInfoListParamsparams, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/rum/site_info/list` Lists all Web Analytics sites of an account. ### Parameters - `params: SiteInfoListParams` - `account_id: string` Path param: Identifier. - `order_by?: "host" | "created"` Query param: The property used to sort the list of results. - `"host"` - `"created"` - `page?: number` Query param: Current page within the paginated list of results. - `per_page?: number` Query param: Number of items to return per page of results. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const site of client.rum.siteInfo.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(site.auto_install); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } ], "result_info": { "count": 10, "page": 1, "per_page": 10, "total_count": 25, "total_pages": 3 } } ``` ## Get a Web Analytics site `client.rum.siteInfo.get(stringsiteId, SiteInfoGetParamsparams, RequestOptionsoptions?): Site` **get** `/accounts/{account_id}/rum/site_info/{site_id}` Retrieves a Web Analytics site. ### Parameters - `siteId: string` Identifier. - `params: SiteInfoGetParams` - `account_id: string` Identifier. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const site = await client.rum.siteInfo.get('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(site.auto_install); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } } ``` ## Create a Web Analytics site `client.rum.siteInfo.create(SiteInfoCreateParamsparams, RequestOptionsoptions?): Site` **post** `/accounts/{account_id}/rum/site_info` Creates a new Web Analytics site. ### Parameters - `params: SiteInfoCreateParams` - `account_id: string` Path param: Identifier. - `auto_install?: boolean` Body param: If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `host?: string` Body param: The hostname to use for gray-clouded sites. - `zone_tag?: string` Body param: The zone identifier. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const site = await client.rum.siteInfo.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(site.auto_install); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } } ``` ## Update a Web Analytics site `client.rum.siteInfo.update(stringsiteId, SiteInfoUpdateParamsparams, RequestOptionsoptions?): Site` **put** `/accounts/{account_id}/rum/site_info/{site_id}` Updates an existing Web Analytics site. ### Parameters - `siteId: string` Identifier. - `params: SiteInfoUpdateParams` - `account_id: string` Path param: Identifier. - `auto_install?: boolean` Body param: If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `enabled?: boolean` Body param: Enables or disables RUM. This option can be used only when auto_install is set to true. - `host?: string` Body param: The hostname to use for gray-clouded sites. - `lite?: boolean` Body param: If enabled, the JavaScript snippet will not be injected for visitors from the EU. - `zone_tag?: string` Body param: The zone identifier. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const site = await client.rum.siteInfo.update('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(site.auto_install); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } } ``` ## Delete a Web Analytics site `client.rum.siteInfo.delete(stringsiteId, SiteInfoDeleteParamsparams, RequestOptionsoptions?): SiteInfoDeleteResponse` **delete** `/accounts/{account_id}/rum/site_info/{site_id}` Deletes an existing Web Analytics site. ### Parameters - `siteId: string` Identifier. - `params: SiteInfoDeleteParams` - `account_id: string` Identifier. ### Returns - `SiteInfoDeleteResponse` - `site_tag?: string` The Web Analytics site identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const siteInfo = await client.rum.siteInfo.delete('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(siteInfo.site_tag); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "site_tag": "023e105f4ecef8ad9ca31a8372d0c353" } } ``` ## Domain Types ### Site - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Site Info Delete Response - `SiteInfoDeleteResponse` - `site_tag?: string` The Web Analytics site identifier. # Rules ## List rules in Web Analytics ruleset `client.rum.rules.list(stringrulesetId, RuleListParamsparams, RequestOptionsoptions?): RuleListResponse` **get** `/accounts/{account_id}/rum/v2/{ruleset_id}/rules` Lists all the rules in a Web Analytics ruleset. ### Parameters - `rulesetId: string` The Web Analytics ruleset identifier. - `params: RuleListParams` - `account_id: string` Identifier. ### Returns - `RuleListResponse` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const rules = await client.rum.rules.list('f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(rules.rules); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" } } } ``` ## Create a Web Analytics rule `client.rum.rules.create(stringrulesetId, RuleCreateParamsparams, RequestOptionsoptions?): RUMRule` **post** `/accounts/{account_id}/rum/v2/{ruleset_id}/rule` Creates a new rule in a Web Analytics ruleset. ### Parameters - `rulesetId: string` The Web Analytics ruleset identifier. - `params: RuleCreateParams` - `account_id: string` Path param: Identifier. - `host?: string` Body param - `inclusive?: boolean` Body param: Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Body param: Whether the rule is paused or not. - `paths?: Array` Body param ### Returns - `RUMRule` - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const rumRule = await client.rum.rules.create('f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(rumRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } } ``` ## Update a Web Analytics rule `client.rum.rules.update(stringrulesetId, stringruleId, RuleUpdateParamsparams, RequestOptionsoptions?): RUMRule` **put** `/accounts/{account_id}/rum/v2/{ruleset_id}/rule/{rule_id}` Updates a rule in a Web Analytics ruleset. ### Parameters - `rulesetId: string` The Web Analytics ruleset identifier. - `ruleId: string` The Web Analytics rule identifier. - `params: RuleUpdateParams` - `account_id: string` Path param: Identifier. - `host?: string` Body param - `inclusive?: boolean` Body param: Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Body param: Whether the rule is paused or not. - `paths?: Array` Body param ### Returns - `RUMRule` - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const rumRule = await client.rum.rules.update( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(rumRule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } } ``` ## Delete a Web Analytics rule `client.rum.rules.delete(stringrulesetId, stringruleId, RuleDeleteParamsparams, RequestOptionsoptions?): RuleDeleteResponse` **delete** `/accounts/{account_id}/rum/v2/{ruleset_id}/rule/{rule_id}` Deletes an existing rule from a Web Analytics ruleset. ### Parameters - `rulesetId: string` The Web Analytics ruleset identifier. - `ruleId: string` The Web Analytics rule identifier. - `params: RuleDeleteParams` - `account_id: string` Identifier. ### Returns - `RuleDeleteResponse` - `id?: string` The Web Analytics rule identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const rule = await client.rum.rules.delete( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(rule.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415" } } ``` ## Update Web Analytics rules `client.rum.rules.bulkCreate(stringrulesetId, RuleBulkCreateParamsparams, RequestOptionsoptions?): RuleBulkCreateResponse` **post** `/accounts/{account_id}/rum/v2/{ruleset_id}/rules` Modifies one or more rules in a Web Analytics ruleset with a single request. ### Parameters - `rulesetId: string` The Web Analytics ruleset identifier. - `params: RuleBulkCreateParams` - `account_id: string` Path param: Identifier. - `delete_rules?: Array` Body param: A list of rule identifiers to delete. - `rules?: Array` Body param: A list of rules to create or update. - `id?: string` The Web Analytics rule identifier. - `host?: string` - `inclusive?: boolean` - `is_paused?: boolean` - `paths?: Array` ### Returns - `RuleBulkCreateResponse` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.rum.rules.bulkCreate('f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.rules); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" } } } ``` ## Domain Types ### RUM Rule - `RUMRule` - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` ### Rule List Response - `RuleListResponse` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. ### Rule Delete Response - `RuleDeleteResponse` - `id?: string` The Web Analytics rule identifier. ### Rule Bulk Create Response - `RuleBulkCreateResponse` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier.